FENCE_WAIT(9)

NAME
fence_wait - sleep until the fence gets signaled

SYNOPSIS

signed long fence_wait(struct fence * fence, bool intr);

ARGUMENTS

fence
    [in] the fence to wait on

intr
    [in] if true, do an interruptible wait

DESCRIPTION

This function will return -ERESTARTSYS if interrupted by a signal, or 0 if the fence was signaled. Other error values may be returned on custom implementations.

Performs a synchronous wait on this fence. It is assumed the caller directly or indirectly holds a reference to the fence, otherwise the fence might be freed before return, resulting in undefined behavior.

COPYRIGHT